Home > All Tags > iOS

PhoneGap 3.3 插件安装 问题

评分 5.00, 满分 5星 1 票 No comments

PhoneGap 3.3
XCode 5 (iOS)
PhoneGap3.x以后,使用诸如Device.UUID 等功能均需要安装插件。
在某些时候安装插件后在程序中并不能正常调用,使用时会报出无法找到插件的错误。

在网上找了很久也没有发现解决方法。

正常安装完插件后,Build 项目后,会在www文件夹中plugins 文件夹内 生成安装插件的js文件。
直接使用即可。
不需要手工修改config.xml文件。

如果此时使用程序不可用,可以尝试将plugins文件夹中的ios.json删除后 重新build项目。

安卓项目基本类似。

iOS 编译签名错误

评分 4.50, 满分 5星 2 票 1 comment

没编译过iOS,把遇到的问题记录一下。

环境:Mac OS X 10.8 64-bit
Xcode 5(5A11314m)
Cordova phonegap 2.9

Mac OS X 10.8 64-bit-2014-2

Code sign error: No matching codesigning identity found: No codesigning identities (i.e. certificate and private key pairs) matching “iPhone Developer” were found.
CodeSign error: code signing is required for product type ‘Application’ in SDK ‘iOS 7.0’

解决方法:
Read more…